.\"	$NetBSD: zsc.4,v 1.4 2002/01/15 01:48:32 wiz Exp $
.\"
.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dca.4	5.2 (Berkeley) 3/27/91
.\"
.Dd August 6, 1993
.Dt ZSC 4 mac68k
.Os
.Sh NAME
.Nm zsc
.Nd serial communications interface
.Sh SYNOPSIS
.Cd "zsc0 at obio?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Z8530- and Z85230-compatible
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
communications interfaces.  The Z8530 has a 3 character buffer,
and the Z85230 has a 8 character buffer.  However, due to limitations in
the design of the Z85230, the driver is unable to distinguish it from
the Z8530 and will not enable any enhanced features of the controller.
.Pp
Input and output for each line may set to one of following baud rates;
50, 75, 110, 134.5, 150, 300, 600, 1200, 1800, 2400, 4800, 9600,
19200, 38400, 57600, 115200, 230400, or any other baud rate which is a factor
of 115200.
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/tty00
.It Pa /dev/tty01
.El
.Sh SEE ALSO
.Xr tty 4 ,
.Xr zstty 4
.Sh HISTORY
The
.Nm
driver was originally derived from the sun3
.Ic zs
driver and is
.Ud
.Sh BUGS
Data loss is possible when using high speeds, particularly on older (68020
or 68030) Macintosh models and on busy systems.
